Bug 72167 - partially off screen window placement of dialog boxes
partially off screen window placement of dialog boxes
Product: Red Hat Public Beta
Classification: Retired
Component: gnome-panel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
Blocks: 67218
  Show dependency treegraph
Reported: 2002-08-21 13:13 EDT by David L. Parsley
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-08-25 15:16:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description David L. Parsley 2002-08-21 13:13:23 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020809

Description of problem:
When I bring up various dialog boxes, they are placed in close proximity to the
mouse, frequently with part of the box off screen at the bottom.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
(this is just one example; others do this too, but this is the worst I've seen)

1. Right click the panel
2. Click 'Add to panel' ... 'Launcher...'

Actual Results:  Dialog box is mostly off screen at the bottom.  Has to be moved
to use it.

Expected Results:  Dialog box entirely visible.

Additional info:

I hope this isn't a duplicate (seems pretty easy to spot); I tried about 6
different searches.  ;-)
Comment 1 Havoc Pennington 2002-08-21 14:33:51 EDT
I think the Launcher dialog is a panel problem.

Let me know about other specific dialogs.
Comment 2 David L. Parsley 2002-08-21 15:05:37 EDT
OK, I tested this also w/ 'Dia', which is why I originally filed against metacity:

- Open 'dia'
- Drag dia to bottom of screen (partially off screen), such that clicking the
file menu still (but just barely) puts the menu below (instead of flipping it up)
- Click 'File'...'Open'

The 'Ok' & 'Cancel' buttons are buried in the panel.

I tried 'gnome-mines', too:
- Drag gnome-mines mostly off-screen at bottom
- Click 'Settings'...'Preferences'

Dialog is mostly off screen.

Essentially, any time there's a dialog that pops up 'close to the mouse', it
might be off screen on the bottom if the mouse happens to be near the bottom. 
The Panel - Launcher example is just the most common occurence.
Comment 3 Havoc Pennington 2002-08-21 15:47:50 EDT
Right, but metacity can't really do anything about it if apps are dumb and
insist their dialog should be there. Since there's a spec that says you have to
do what apps say. Need to track down and destroy these app bugs.
Comment 4 David L. Parsley 2002-08-22 08:27:08 EDT
Ok, agreed; so this is just a panel bug that should be fixed.  I don't think
it's worth bothering with the others at this point, since you have to go out of
your way to trigger them.
Comment 5 Havoc Pennington 2002-08-25 15:16:02 EDT
2.0.6-6 gnome-panel should fix this. dialogs probably come up centered now.
Comment 6 Jay Turner 2002-09-03 16:31:24 EDT
The menu flip-up issue is resolved with gnome-panel-2.0.6-9, but the dialog box
for gnome-mines still comes up off screen.  A couple of others apps come up
off-screen as well, but the majority of them are centered, so closing out.

Note You need to log in before you can comment on or make changes to this bug.